AsterNet Class Library (Sandcastle documentation)

| AGIChannel Constructor (SocketConnection, Boolean, Boolean)

Initializes a new instance of the AGIChannel class

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public AGIChannel(
    	SocketConnection socket,
    	bool SC511_CAUSES_EXCEPTION,
    	bool SCHANGUP_CAUSES_EXCEPTION
    )

    Public Sub New (
    	socket As SocketConnection,
    	SC511_CAUSES_EXCEPTION As Boolean,
    	SCHANGUP_CAUSES_EXCEPTION As Boolean
    )

    public:
    AGIChannel(
    	SocketConnection^ socket,
    	bool SC511_CAUSES_EXCEPTION,
    	bool SCHANGUP_CAUSES_EXCEPTION
    )

    new :
            socket : SocketConnection *
            SC511_CAUSES_EXCEPTION : bool *
            SCHANGUP_CAUSES_EXCEPTION : bool -> AGIChannel

#### Parameters

socket
  Type: AsterNET.IO
  SocketConnection

  [Missing <param name="socket"/> documentation for "M:AsterNET.FastAGI.AGIChannel.#ctor(AsterNET.IO.SocketConnection,System.Boolean,System.Boolean)"]

SC511_CAUSES_EXCEPTION
  Type: System
  Boolean

  [Missing <param name="SC511_CAUSES_EXCEPTION"/> documentation for "M:AsterNET.FastAGI.AGIChannel.#ctor(AsterNET.IO.SocketConnection,System.Boolean,System.Boolean)"]

SCHANGUP_CAUSES_EXCEPTION
  Type: System
  Boolean

  [Missing <param name="SCHANGUP_CAUSES_EXCEPTION"/> documentation for "M:AsterNET.FastAGI.AGIChannel.#ctor(AsterNET.IO.SocketConnection,System.Boolean,System.Boolean)"]

See Also

#### Reference

AGIChannel Class
AGIChannel Overload
AsterNET.FastAGI Namespace